///////////////////////////////////////////////////////////////-*-C-*-
//
// Copyright (c) 2007 Xilinx, Inc.  All rights reserved.
//
// Xilinx, Inc.  XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION
// "AS IS" AS  A COURTESY TO YOU.  BY PROVIDING  THIS DESIGN, CODE, OR
// INFORMATION  AS  ONE   POSSIBLE  IMPLEMENTATION  OF  THIS  FEATURE,
// APPLICATION OR  STANDARD, XILINX  IS MAKING NO  REPRESENTATION THAT
// THIS IMPLEMENTATION  IS FREE FROM  ANY CLAIMS OF  INFRINGEMENT, AND
// YOU ARE  RESPONSIBLE FOR OBTAINING  ANY RIGHTS YOU MAY  REQUIRE FOR
// YOUR  IMPLEMENTATION.   XILINX  EXPRESSLY  DISCLAIMS  ANY  WARRANTY
// WHATSOEVER  WITH RESPECT  TO  THE ADEQUACY  OF THE  IMPLEMENTATION,
// INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR REPRESENTATIONS THAT
// THIS IMPLEMENTATION  IS FREE  FROM CLAIMS OF  INFRINGEMENT, IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
// 
//////////////////////////////////////////////////////////////////////

#include "ofdm_txrx_supermimo_plbw.h"
#include "xparameters.h"
#include "xcope.h"

inline xc_status_t xc_ofdm_txrx_supermimo_plbw_create(xc_iface_t **iface, void *config_table)
{
    // set up iface
    *iface = (xc_iface_t *) config_table;

#ifdef XC_DEBUG
    OFDM_TXRX_SUPERMIMO_PLBW_Config *_config_table = config_table;

    if (_config_table->xc_create == NULL) {
        print("config_table.xc_create == NULL\r\n");
        exit(1);
    }
#endif

    // does nothing
    return XC_SUCCESS;
}

inline xc_status_t xc_ofdm_txrx_supermimo_plbw_release(xc_iface_t **iface) 
{
    // does nothing
    return XC_SUCCESS;
}

inline xc_status_t xc_ofdm_txrx_supermimo_plbw_open(xc_iface_t *iface)
{
    // does nothing
    return XC_SUCCESS;
}

inline xc_status_t xc_ofdm_txrx_supermimo_plbw_close(xc_iface_t *iface)
{
    // does nothing
    return XC_SUCCESS;
}

inline xc_status_t xc_ofdm_txrx_supermimo_plbw_read(xc_iface_t *iface, xc_r_addr_t addr, uint32_t *value)
{
    *value = *((uint32_t *) addr);
    return XC_SUCCESS;
}

inline xc_status_t xc_ofdm_txrx_supermimo_plbw_write(xc_iface_t *iface, xc_w_addr_t addr, const uint32_t value)
{
    *((uint32_t *) addr) = value;
    return XC_SUCCESS;
}

xc_status_t xc_ofdm_txrx_supermimo_plbw_getshmem(xc_iface_t *iface, const char *name, void **shmem)
{
    OFDM_TXRX_SUPERMIMO_PLBW_Config *_config_table = (OFDM_TXRX_SUPERMIMO_PLBW_Config *) iface;

    if (strcmp("Rx_BER_Errors", name) == 0) {
        *shmem = (void *) & _config_table->Rx_BER_Errors;
    }
    else if (strcmp("Rx_BER_TotalBits", name) == 0) {
        *shmem = (void *) & _config_table->Rx_BER_TotalBits;
    }
    else if (strcmp("Rx_ControlBits_r", name) == 0) {
        *shmem = (void *) & _config_table->Rx_ControlBits_r;
    }
    else if (strcmp("Rx_Gains", name) == 0) {
        *shmem = (void *) & _config_table->Rx_Gains;
    }
    else if (strcmp("Rx_OFDM_SymbolCounts_r", name) == 0) {
        *shmem = (void *) & _config_table->Rx_OFDM_SymbolCounts_r;
    }
    else if (strcmp("Rx_PktDet_Delay_r", name) == 0) {
        *shmem = (void *) & _config_table->Rx_PktDet_Delay_r;
    }
    else if (strcmp("Rx_PktDet_LongCorr_Params_r", name) == 0) {
        *shmem = (void *) & _config_table->Rx_PktDet_LongCorr_Params_r;
    }
    else if (strcmp("Rx_pktByteNums_r", name) == 0) {
        *shmem = (void *) & _config_table->Rx_pktByteNums_r;
    }
    else if (strcmp("Rx_pktDone_interruptStatus", name) == 0) {
        *shmem = (void *) & _config_table->Rx_pktDone_interruptStatus;
    }
    else if (strcmp("TxRx_AutoReply_Action0_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action0_r;
    }
    else if (strcmp("TxRx_AutoReply_Action1_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action1_r;
    }
    else if (strcmp("TxRx_AutoReply_Action2_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action2_r;
    }
    else if (strcmp("TxRx_AutoReply_Action3_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action3_r;
    }
    else if (strcmp("TxRx_AutoReply_Action4_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action4_r;
    }
    else if (strcmp("TxRx_AutoReply_Action5_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action5_r;
    }
    else if (strcmp("TxRx_AutoReply_Match0_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match0_r;
    }
    else if (strcmp("TxRx_AutoReply_Match1_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match1_r;
    }
    else if (strcmp("TxRx_AutoReply_Match2_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match2_r;
    }
    else if (strcmp("TxRx_AutoReply_Match3_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match3_r;
    }
    else if (strcmp("TxRx_AutoReply_Match4_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match4_r;
    }
    else if (strcmp("TxRx_AutoReply_Match5_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match5_r;
    }
    else if (strcmp("TxRx_AutoReply_Match6_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match6_r;
    }
    else if (strcmp("TxRx_AutoReply_Match7_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match7_r;
    }
    else if (strcmp("TxRx_Interrupt_PktBuf_Ctrl_r", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_Interrupt_PktBuf_Ctrl_r;
    }
    else if (strcmp("Tx_ControlBits_r", name) == 0) {
        *shmem = (void *) & _config_table->Tx_ControlBits_r;
    }
    else if (strcmp("Tx_OFDM_SymCounts_r", name) == 0) {
        *shmem = (void *) & _config_table->Tx_OFDM_SymCounts_r;
    }
    else if (strcmp("Tx_PktRunning", name) == 0) {
        *shmem = (void *) & _config_table->Tx_PktRunning;
    }
    else if (strcmp("Tx_Start_Reset_Control_r", name) == 0) {
        *shmem = (void *) & _config_table->Tx_Start_Reset_Control_r;
    }
    else if (strcmp("midPacketRSSI", name) == 0) {
        *shmem = (void *) & _config_table->midPacketRSSI;
    }
    else if (strcmp("pktDet_controlBits_r", name) == 0) {
        *shmem = (void *) & _config_table->pktDet_controlBits_r;
    }
    else if (strcmp("pktDet_durations_r", name) == 0) {
        *shmem = (void *) & _config_table->pktDet_durations_r;
    }
    else if (strcmp("pktDet_status", name) == 0) {
        *shmem = (void *) & _config_table->pktDet_status;
    }
    else if (strcmp("pktDet_thresholds_r", name) == 0) {
        *shmem = (void *) & _config_table->pktDet_thresholds_r;
    }
    else if (strcmp("Rx_AF_TxScaling_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_AF_TxScaling_w;
    }
    else if (strcmp("Rx_Constellation_Scaling_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_Constellation_Scaling_w;
    }
    else if (strcmp("Rx_ControlBits_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_ControlBits_w;
    }
    else if (strcmp("Rx_FreqOffFilt_B_KI_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_FreqOffFilt_B_KI_w;
    }
    else if (strcmp("Rx_FreqOffFilt_B_KP_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_FreqOffFilt_B_KP_w;
    }
    else if (strcmp("Rx_OFDM_SymbolCounts_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_OFDM_SymbolCounts_w;
    }
    else if (strcmp("Rx_PhaseNoiseTrack_K_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_PhaseNoiseTrack_K_w;
    }
    else if (strcmp("Rx_PilotThresh_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_PilotThresh_w;
    }
    else if (strcmp("Rx_PktDet_Delay_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_PktDet_Delay_w;
    }
    else if (strcmp("Rx_PktDet_LongCorr_Params_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_PktDet_LongCorr_Params_w;
    }
    else if (strcmp("Rx_PreCFO_Options_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_PreCFO_Options_w;
    }
    else if (strcmp("Rx_pktByteNums_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_pktByteNums_w;
    }
    else if (strcmp("Rx_pktDet_Tresholds_w", name) == 0) {
        *shmem = (void *) & _config_table->Rx_pktDet_Tresholds_w;
    }
    else if (strcmp("TxRx_AutoReply_Action0_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action0_w;
    }
    else if (strcmp("TxRx_AutoReply_Action1_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action1_w;
    }
    else if (strcmp("TxRx_AutoReply_Action2_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action2_w;
    }
    else if (strcmp("TxRx_AutoReply_Action3_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action3_w;
    }
    else if (strcmp("TxRx_AutoReply_Action4_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action4_w;
    }
    else if (strcmp("TxRx_AutoReply_Action5_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Action5_w;
    }
    else if (strcmp("TxRx_AutoReply_Match0_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match0_w;
    }
    else if (strcmp("TxRx_AutoReply_Match1_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match1_w;
    }
    else if (strcmp("TxRx_AutoReply_Match2_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match2_w;
    }
    else if (strcmp("TxRx_AutoReply_Match3_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match3_w;
    }
    else if (strcmp("TxRx_AutoReply_Match4_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match4_w;
    }
    else if (strcmp("TxRx_AutoReply_Match5_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match5_w;
    }
    else if (strcmp("TxRx_AutoReply_Match6_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match6_w;
    }
    else if (strcmp("TxRx_AutoReply_Match7_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_AutoReply_Match7_w;
    }
    else if (strcmp("TxRx_FFT_Scaling_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_FFT_Scaling_w;
    }
    else if (strcmp("TxRx_Interrupt_PktBuf_Ctrl_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_Interrupt_PktBuf_Ctrl_w;
    }
    else if (strcmp("TxRx_Pilots_Index_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_Pilots_Index_w;
    }
    else if (strcmp("TxRx_Pilots_Values_w", name) == 0) {
        *shmem = (void *) & _config_table->TxRx_Pilots_Values_w;
    }
    else if (strcmp("Tx_ControlBits_w", name) == 0) {
        *shmem = (void *) & _config_table->Tx_ControlBits_w;
    }
    else if (strcmp("Tx_OFDM_SymCounts_w", name) == 0) {
        *shmem = (void *) & _config_table->Tx_OFDM_SymCounts_w;
    }
    else if (strcmp("Tx_PreambleMasking_w", name) == 0) {
        *shmem = (void *) & _config_table->Tx_PreambleMasking_w;
    }
    else if (strcmp("Tx_Scaling_w", name) == 0) {
        *shmem = (void *) & _config_table->Tx_Scaling_w;
    }
    else if (strcmp("Tx_Start_Reset_Control_w", name) == 0) {
        *shmem = (void *) & _config_table->Tx_Start_Reset_Control_w;
    }
    else if (strcmp("pktDet_controlBits_w", name) == 0) {
        *shmem = (void *) & _config_table->pktDet_controlBits_w;
    }
    else if (strcmp("pktDet_durations_w", name) == 0) {
        *shmem = (void *) & _config_table->pktDet_durations_w;
    }
    else if (strcmp("pktDet_thresholds_w", name) == 0) {
        *shmem = (void *) & _config_table->pktDet_thresholds_w;
    }
    else if (strcmp("ChannelEstimates", name) == 0) {
        *shmem = (void *) & _config_table->ChannelEstimates;
    }
    else if (strcmp("RxModulation", name) == 0) {
        *shmem = (void *) & _config_table->RxModulation;
    }
    else if (strcmp("TxHeaderTranslate", name) == 0) {
        *shmem = (void *) & _config_table->TxHeaderTranslate;
    }
    else if (strcmp("TxModulation", name) == 0) {
        *shmem = (void *) & _config_table->TxModulation;
    } else { shmem = NULL; return XC_FAILURE; } 

    return XC_SUCCESS;
}
